package com.stm.asset.json;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 类名称：BaseInfo
 * 类描述：请求返回基础类
 * 创建人：story
 * 创建时间：2021-12-14 14:46
 */
public class BaseInfo implements Serializable {

    private static final long serialVersionUID = -5800150937418965637L;
    private String msgType; // 响应消息类型 N:正常 E:错误
    private String rspCode; // 响应码 000000：正常 其他为错误码
    private String rspMsg;
    private String rspTime; // 系统时间
//    private T rspData; // 响应数据 msgType为N时返回用户信息
    private List<Map<String, String>> head;// 处理分页时的数据
    private List<Map<String, String>> headList;// 处理分页时的数据
    private List<Map<String, String>> warnList;// 警告信息的处理（警告用户风险，若用户继续确认，仍可提交）

    public String getMsgType() {
        return msgType;
    }

    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    public String getRspCode() {
        return rspCode;
    }

    public void setRspCode(String rspCode) {
        this.rspCode = rspCode;
    }

    public String getRspMsg() {
        return rspMsg;
    }

    public void setRspMsg(String rspMsg) {
        this.rspMsg = rspMsg;
    }

    public String getRspTime() {
        return rspTime;
    }

    public void setRspTime(String rspTime) {
        this.rspTime = rspTime;
    }

//    public T getRspData() {
//        return rspData;
//    }
//
//    public void setRspData(T rspData) {
//        this.rspData = rspData;
//    }

    public List<Map<String, String>> getHead() {
        return head;
    }

    public void setHead(List<Map<String, String>> head) {
        this.head = head;
    }

    public List<Map<String, String>> getHeadList() {
        return headList;
    }

    public void setHeadList(List<Map<String, String>> headList) {
        this.headList = headList;
    }

    public List<Map<String, String>> getWarnList() {
        return warnList;
    }

    public void setWarnList(List<Map<String, String>> warnList) {
        this.warnList = warnList;
    }

    public boolean isSucess() {
        if ("000000".equals(this.rspCode)) {
            return true;
        }
        return false;
    }
}
